Bug 1347172 - 'info block' should not show backing file when reopen block after drive-mirror with 'sync=full'
Summary: 'info block' should not show backing file when reopen block after drive-mirro...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.3
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: John Snow
QA Contact: Qianqian Zhu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-16 08:27 UTC by Qianqian Zhu
Modified: 2017-08-02 03:27 UTC (History)
10 users (show)

Fixed In Version: qemu-kvm-rhev-2.9.0-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 23:32:13 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2392 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2017-08-01 20:04:36 UTC

Description Qianqian Zhu 2016-06-16 08:27:36 UTC
Description of problem:
'info block' should not show backing file when reopen block after drive-mirror with 'sync=full'

Version-Release number of selected component (if applicable):
kernel-3.10.0-425.el7.x86_64
qemu-kvm-rhev-2.6.0-6.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.launch guest with a snapshot:
 /usr/libexec/qemu-kvm -name avocado-vt-vm1 -sandbox off -machine pc -nodefaults -vga cirrus -drive id=drive-virtio-blk0,if=none,cache=none,snapshot=off,aio=native,format=qcow2,file=/root/sn1.qcow2 -device virtio-blk-pci,id=image1,drive=drive-virtio-blk0,bootindex=0,bus=pci.0,addr=03,disable-legacy=off,disable-modern=on -m 4096 -smp 4,maxcpus=4,cores=2,threads=1,sockets=2 -cpu SandyBridge,+kvm_pv_unhalt  -vnc :1 -boot order=cdn,once=c,menu=off,strict=off -monitor stdio -qmp tcp:0:5555,server,nowait

2.block mirror with 'sync=full'
{ "execute": "drive-mirror", "arguments": { "device": "drive-virtio-blk0", "target": "/root/sn2", "format": "qcow2", "mode": "absolute-paths", "sync": "full" } }

3.complete block mirror job, switch to target image:
{"execute": "block-job-complete", "arguments": { "device": "drive-virtio-blk0" } }

4. query block info by 'info block'

Actual results:
(qemu) info block
drive-virtio-blk0 (#block1048): /root/sn2 (qcow2)
    Cache mode:       writeback, direct
    Backing file:     /usr/share/avocado/data/avocado-vt/images/RHEL-Server-7.3-64-virtio.qcow2 (chain depth: 1)

Expected results:
target file sn2 should not have a backing file when 'sync=full'

Additional info:
qemu-img info give correct information for the target file sn2
# qemu-img info sn2 
image: sn2
file format: qcow2
virtual size: 20G (21474836480 bytes)
disk size: 4.8G
cluster_size: 65536
Format specific information:
    compat: 1.1
    lazy refcounts: false
    refcount bits: 16
    corrupt: false

Comment 2 John Snow 2016-08-31 19:28:12 UTC
Too late in the 7.3 cycle to fix this for this release. Will investigate for 7.4.

Comment 3 xianwang 2016-10-19 12:38:15 UTC
This bug also exists in ppc64le.test version is as follows:
host is ppc64le, guest is ppc64 BE

Host install tree: RHEL7.3-20161012.0
kernel: kernel-3.10.0-513.el7
qemu: qemu-kvm-rhev-2.6.0-27.el7
SLOF: SLOF-20160223-6.gitdbbfda4.el7

Guest: RHEL6.8 BE guest
driveformat: virtio_blk
nicmodel: spapr-vlan
mem: 16G
vcpu: 16

Comment 4 xianwang 2016-10-20 04:32:43 UTC
(In reply to xianwang from comment #3)
> This bug also exists in ppc64le.test version is as follows:
> host is ppc64le, guest is ppc64 BE
> 
> Host install tree: RHEL7.3-20161012.0
> kernel: kernel-3.10.0-513.el7
> qemu: qemu-kvm-rhev-2.6.0-27.el7
> SLOF: SLOF-20160223-6.gitdbbfda4.el7
> 
> Guest: RHEL6.8 BE guest
> driveformat: virtio_blk
> nicmodel: spapr-vlan
> mem: 16G
> vcpu: 16

when check the info with"(qemu)info block" it will show backing file, but with command in terminal "#qemu-img info mirror_full",it will not show backing file

Comment 5 John Snow 2017-05-04 21:45:54 UTC
No longer appears to reproduce under 2.9.0, try testing once more when convenient?

Comment 6 Qianqian Zhu 2017-05-05 06:02:30 UTC
Test on qemu-kvm-rhev-2.9.0-2.el7.x86_64:
Steps same as comment 0.
Result: as expected, block info has no backing file.
So this is fixed in qemu-kvm-rhev-2.9.0-2.el7.x86_64.

Comment 7 John Snow 2017-05-05 19:25:33 UTC
Great, moving to POST to indicate that we picked up a fix when we rebased to 2.9.0.

Comment 9 Qianqian Zhu 2017-05-17 01:54:51 UTC
Per comment 6, Moving to VERIFIED.

Comment 11 errata-xmlrpc 2017-08-01 23:32:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 12 errata-xmlrpc 2017-08-02 01:09:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 13 errata-xmlrpc 2017-08-02 02:01:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 14 errata-xmlrpc 2017-08-02 02:42:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 15 errata-xmlrpc 2017-08-02 03:07:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 16 errata-xmlrpc 2017-08-02 03:27:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392


Note You need to log in before you can comment on or make changes to this bug.